# services/review_adder.py

from langchain_community.docstore.document import Document
from src.reviewsense_ecom.retriever.retrieval import get_vector_store

class ReviewAdder:
    """Class for adding reviews to the vector store"""

    def __init__(self):
        self.vector_store = get_vector_store()

    def add_review_vector(self, product_id: str, review: str) -> str:
        review_document = Document(page_content=review, metadata={"title": product_id})
        return self.vector_store.add_documents([review_document])[0]
